Commit e756795d authored by Margaux Clerc's avatar Margaux Clerc

RPM for redhat

Linphone for redhat documentaton
parent 63867127
INSTALL :
Download and install the repo rpmforge :
http://repoforge.org/use/
$ sudo rpm -Uvh <path to rpmforge rpm>
Download the linphone-release rpm
$ sudo rpm -Uvh <path to linphone rpm>
$ sudo yum install linphone
**********************************
* Compiling linphone on RedHat *
**********************************
Download and install the repo rpmforge :
http://repoforge.org/use/
$ sudo rpm -Uhv <path to rpmforge rpm>
$ yum -y update
- Install build time dependencies
$ sudo yum install libtool intltool
- Install others dependencies
$ sudo yum install gtk2-devel
$ sudo yum install ffmpeg-devel
$ sudo yum install openldap-devel
- Download and install packages
$ sudo rpm -Uhv ftp://ftp.icm.edu.pl/vol/rzm2/linux-fedora/linux/epel/6/x86_64/polarssl-1.3.2-1.el6.x86_64.rpm
$ sudo rpm -Uvh ftp://ftp.icm.edu.pl/vol/rzm2/linux-fedora/linux/epel/6/x86_64/polarssl-devel-1.3.2-1.el6.x86_64.rpm
$ sudo rpm -Uhv ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/15/Everything/x86_64/os/Packages/antlr3-C-3.2-14.fc15.x86_64.rpm
$ sudo rpm -Uhv ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/15/Everything/x86_64/os/Packages/antlr3-C-devel-3.2-14.fc15.x86_64.rpm
$ sudo rpm -Uhv ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/15/Everything/x86_64/os/Packages/antlr3-tool-3.2-14.fc15.noarch.rpm
$ sudo rpm -Uhv ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/fedora/linux/releases/15/Fedora/i386/os/Packages/antlr3-java-3.2-14.fc15.noarch.rpm
- Compile Belle-sip / oRTP / mediastreamer
$ ./autogen.sh
$ ./configure
$ make && make rpm
$ sudo rpm -Uvh <path to rpm and rpm-devel>
- Compile Linphone
$ ./autogen.sh
$ ./configure
$ make && make rpm
-Create yum repo :
$ cd rpmbuild/RPMS/*arch*/
$ createrepo .
Create a file "linphone-release.repo" in /etc/yum.repos.d/ with :
[linphone-release]
name = Linphone for redhat
baseurl = file/// *path to the new repo*
enabled = 1
gpgcheck = 0
$ sudo yum install linphone
<?xml version="1.0" encoding="UTF-8"?>
<interface>
<requires lib="gtk+" version="2.24"/>
<requires lib="gtk+" version="2.16"/>
<!-- interface-naming-policy project-wide -->
<object class="GtkWindow" id="ldap">
<property name="can_focus">False</property>
......
......@@ -53,7 +53,7 @@ Libraries and headers required to develop software with linphone.
%if !%{video}
--disable-video \
%endif
--disable-tests --docdir=%{_docdir} --enable-ipv6 --enable-static --enable-external-mediastreamer --enable-external-ortp
--disable-tests --docdir=%{_docdir} --enable-ipv6 --enable-static --enable-external-mediastreamer --enable-external-ortp --enable-ldap
%__make %{?_smp_mflags}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment